Page MenuHomePhabricator

[asan] Move AsanCheckDynamicRTPrereqs check under flag.
ClosedPublic

Authored by m.ostapenko on Mar 28 2017, 7:07 AM.

Details

Summary

The patch addresses https://github.com/google/sanitizers/issues/786. Currently AsanCheckDynamicRTPrereqs prevents ASan from running in some important environments e.g. cowbuilder and fakeroot that may also work with interposition. Let's allow users to switch off the check given that they know what they do.

Diff Detail

Repository
rL LLVM

Event Timeline

m.ostapenko created this revision.Mar 28 2017, 7:07 AM
ygribov added inline comments.Mar 28 2017, 7:17 AM
lib/asan/asan_flags.inc
151 ↗(On Diff #93236)

ignore_shlib_order? Although let's see what maintainers say.

152 ↗(On Diff #93236)

"Do not check position of ASan runtime in library list (useful when other library has to be preloaded system-wide)"?

m.ostapenko added inline comments.Mar 28 2017, 7:45 AM
lib/asan/asan_flags.inc
151 ↗(On Diff #93236)

Hm, perhaps check_asan_comes_first? ignore_shlib_order doesn't look cleaner than check_dynamic_rt_prereqs imho.

eugenis edited edge metadata.Mar 29 2017, 3:47 PM

How about "verify_asan_link_order"? Naming is hard.

Changed flag name.

eugenis accepted this revision.Mar 30 2017, 1:34 PM

LGTM

This revision is now accepted and ready to land.Mar 30 2017, 1:34 PM
This revision was automatically updated to reflect the committed changes.